org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class InjectTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest.Traversals

- Enclosing class:
    InjectTest

      public static class InjectTest.Traversals
      extends InjectTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest

      `InjectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,String>` | `get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id, Object v4Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_out_injectXv2X_name(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest

      `g_VX1X_injectXg_VX4XX_out_name, g_VX1X_out_injectXv2X_name, g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_out_injectXv2X_name

          public Traversal<Vertex,String> get_g_VX1X_out_injectXv2X_name(Object v1Id,
                                                                         Object v2Id)

      Specified by:
        `get_g_VX1X_out_injectXv2X_name` in class `InjectTest`

    - #### get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path

          public Traversal<Vertex,Path> get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)

      Specified by:
        `get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path` in class `InjectTest`

    - #### get_g_VX1X_injectXg_VX4XX_out_name

          public Traversal<Vertex,String> get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id,
                                                                             Object v4Id)

      Specified by:
        `get_g_VX1X_injectXg_VX4XX_out_name` in class `InjectTest`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.